# Generated from pheromone-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pheromone

Name: rubygem-%{gem_name}
Version: 0.5.1
Release: 1%{?dist}
Summary: Transmits messages to kafka from active record
License: MIT
URL: https://github.com/ankitagupta12/pheromone
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(activesupport) >= 4.2.5
# BuildRequires: rubygem(generator_spec) >= 0.9.3
# BuildRequires: rubygem(generator_spec) < 0.10
# BuildRequires: rubygem(resque) >= 1.26
# BuildRequires: rubygem(resque) < 2
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(sidekiq)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(timecop) >= 0.8
# BuildRequires: rubygem(timecop) < 1
# BuildRequires: rubygem(with_model) >= 1.2.1
# BuildRequires: rubygem(with_model) < 1.3
BuildArch: noarch

%description
Sends messages to kafka using different formats and strategies.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/CONTRIBUTIONS.rst
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pheromone.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.5.1-1
- Initial package
